## org.apache.poi.hslf.record
Class CurrentUserAtom

    java.lang.Object
      org.apache.poi.hslf.record.CurrentUserAtom

    public class CurrentUserAtom

extends java.lang.Object

This is a special kind of Atom, becauase it doesn't live inside the PowerPoint document. Instead, it lives in a seperate stream in the document. As such, it has to be treaded specially

Author:
  Nick Burch

Field Summary
`static byte[]` `atomHeader` Standard Atom header
`static byte[]` `encHeaderToken` The PowerPoint magic number for an encrytpted file
`static byte[]` `headerToken` The PowerPoint magic number for a non-encrypted file
`static byte[]` `ppt97FileVer` The Powerpoint 97 version, major and minor numbers

Constructor Summary
`CurrentUserAtom()` Create a new Current User Atom
`CurrentUserAtom(byte[] b)` Create things from the bytes
`CurrentUserAtom(DirectoryNode dir)` Find the Current User in the filesystem, and create from that
`CurrentUserAtom(POIFSFileSystem fs)` Find the Current User in the filesystem, and create from that

Method Summary
`long` `getCurrentEditOffset()` Points to the UserEditAtom
`int` `getDocFinalVersion()`
`byte` `getDocMajorNo()`
`byte` `getDocMinorNo()`
`java.lang.String` `getLastEditUsername()`
`long` `getReleaseVersion()`
`void` `setCurrentEditOffset(long id)`
`void` `setLastEditUsername(java.lang.String u)`
`void` `setReleaseVersion(long rv)`
`void` `writeOut(java.io.OutputStream out)` Writes ourselves back out
`void` `writeToFS(POIFSFileSystem fs)` Writes ourselves back out to a filesystem

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### atomHeader

    public static final byte[] atomHeader

  Standard Atom header

### headerToken

    public static final byte[] headerToken

  The PowerPoint magic number for a non-encrypted file

### encHeaderToken

    public static final byte[] encHeaderToken

  The PowerPoint magic number for an encrytpted file

### ppt97FileVer

    public static final byte[] ppt97FileVer

  The Powerpoint 97 version, major and minor numbers

Constructor Detail

### CurrentUserAtom

    public CurrentUserAtom()

  Create a new Current User Atom

### CurrentUserAtom

    public CurrentUserAtom(POIFSFileSystem fs)
                    throws java.io.IOException

  Find the Current User in the filesystem, and create from that

  Throws:
    `java.io.IOException`

### CurrentUserAtom

    public CurrentUserAtom(DirectoryNode dir)
                    throws java.io.IOException

  Find the Current User in the filesystem, and create from that

  Throws:
    `java.io.IOException`

### CurrentUserAtom

    public CurrentUserAtom(byte[] b)

  Create things from the bytes

Method Detail

### getDocFinalVersion

    public int getDocFinalVersion()

### getDocMajorNo

    public byte getDocMajorNo()

### getDocMinorNo

    public byte getDocMinorNo()

### getReleaseVersion

    public long getReleaseVersion()

### setReleaseVersion

    public void setReleaseVersion(long rv)

### getCurrentEditOffset

    public long getCurrentEditOffset()

  Points to the UserEditAtom

### setCurrentEditOffset

    public void setCurrentEditOffset(long id)

### getLastEditUsername

    public java.lang.String getLastEditUsername()

### setLastEditUsername

    public void setLastEditUsername(java.lang.String u)

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Writes ourselves back out

  Throws:
    `java.io.IOException`

### writeToFS

    public void writeToFS(POIFSFileSystem fs)
                   throws java.io.IOException

  Writes ourselves back out to a filesystem

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.